<template>
  <div class="badge-frame">
    <div class="badge-frame__label">{{ text }}</div>
    <div class="badge-frame__controls">
      <slot />
    </div>
  </div>
</template>
<script>
export default {
  name: "AppBadge",
  props: {
    text: {
      default: "text",
    },
    inputPlaceholder: {
      default: "",
    },
    disabled: {
      default: false,
    },
  },
};
</script>

<style>
.badge-frame {
  display: flex;
  width: 100%;
  padding: 25px 46px 25px 33px;
  background: #f6f6f6;
  border-radius: 6px;
  margin-bottom: 6px;
}
.badge-frame__label {
  width: 70%;
}

.badge-frame__controls {
  width: 30%;
}

.badge-frame__controls .btn {
  float: right;
}
</style>
